Get the NAICS codes
curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/resources/naics-codes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mycreditapp.ai/v1-beta/resources/naics-codes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mycreditapp.ai/v1-beta/resources/naics-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": 123,
"title": "<string>"
}
]{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Resources
Get the NAICS codes
Returns a list of all available NAICS (North American Industry Classification System) codes. Each item includes a unique identifier, the numeric NAICS code, and the title of the industry it represents.
GET
/
resources
/
naics-codes
Get the NAICS codes
Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Response
Successful Response
Unique identifier for the NAICS code entry
Examples:
"d49b0749-fbc7-4e0a-b03d-ef15f238071a"
"78b348b8-009c-4b87-af32-60a12fbc6e60"
Official NAICS (North American Industry Classification System) numeric code
Examples:
11
111
Title or name of the industry corresponding to the NAICS code
Required string length:
2 - 255Examples:
"Agriculture, Forestry, Fishing and Hunting"
"Crop Production"
⌘I